Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.servingxml.components.flatfile.options
Class QuoteSymbolCharCheckerImpl

    java.lang.Object
      com.servingxml.components.flatfile.options.QuoteSymbolCharCheckerImpl

All Implemented Interfaces:
  QuoteSymbolCharChecker

    public final class QuoteSymbolCharCheckerImpl

extends java.lang.Object
implements QuoteSymbolCharChecker

Field Summary

Fields inherited from interface com.servingxml.components.flatfile.options.QuoteSymbolCharChecker
`NULL`

Constructor Summary
`QuoteSymbolCharCheckerImpl(char[] value, char[] escapeSequence)`

Method Summary
`int` | `foundEscapedQuoteSymbol(char[] data, int start, int length)`
`boolean` | `foundEscapedQuoteSymbol(CharBuffer recordBuffer, CharArrayBuilder charArrayBuilder)`
`int` | `foundQuoteSymbol(char[] input, int inputOffset, int inputLength)`
`boolean` | `foundQuoteSymbol(CharBuffer recordBuffer, CharArrayBuilder charArrayBuilder)`
`int` | `length()`
`int` | `readEscapedQuoteSymbol(char[] data, int start, int length, CharArrayBuilder charArrayBuilder)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### QuoteSymbolCharCheckerImpl

    public QuoteSymbolCharCheckerImpl(char[] value,
                                      char[] escapeSequence)

Method Detail

### foundEscapedQuoteSymbol

    public final boolean foundEscapedQuoteSymbol(CharBuffer recordBuffer,
                                                 CharArrayBuilder charArrayBuilder)
                                          throws java.io.IOException

  Specified by:
    `foundEscapedQuoteSymbol` in interface `QuoteSymbolCharChecker`
  Throws:
    `java.io.IOException`

### foundEscapedQuoteSymbol

    public final int foundEscapedQuoteSymbol(char[] data,
                                             int start,
                                             int length)
                                      throws java.io.IOException

  Specified by:
    `foundEscapedQuoteSymbol` in interface `QuoteSymbolCharChecker`
  Throws:
    `java.io.IOException`

### readEscapedQuoteSymbol

    public final int readEscapedQuoteSymbol(char[] data,
                                            int start,
                                            int length,
                                            CharArrayBuilder charArrayBuilder)
                                     throws java.io.IOException

  Specified by:
    `readEscapedQuoteSymbol` in interface `QuoteSymbolCharChecker`
  Throws:
    `java.io.IOException`

### foundQuoteSymbol

    public final boolean foundQuoteSymbol(CharBuffer recordBuffer,
                                          CharArrayBuilder charArrayBuilder)
                                   throws java.io.IOException

  Specified by:
    `foundQuoteSymbol` in interface `QuoteSymbolCharChecker`
  Throws:
    `java.io.IOException`

### foundQuoteSymbol

    public final int foundQuoteSymbol(char[] input,
                                      int inputOffset,
                                      int inputLength)
                               throws java.io.IOException

  Specified by:
    `foundQuoteSymbol` in interface `QuoteSymbolCharChecker`
  Throws:
    `java.io.IOException`

### length

    public int length()

  Specified by:
    `length` in interface `QuoteSymbolCharChecker`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD